summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--audio/wmusic/wmusic.SlackBuild12
1 files changed, 8 insertions, 4 deletions
diff --git a/audio/wmusic/wmusic.SlackBuild b/audio/wmusic/wmusic.SlackBuild
index 3d0d401d25..85d1ab3629 100644
--- a/audio/wmusic/wmusic.SlackBuild
+++ b/audio/wmusic/wmusic.SlackBuild
@@ -27,6 +27,7 @@
# Currently maintained by B. Watson <yalhcru@gmail.com>
+# 20211019 bkw: BUILD=2, fix build for updated playerctl.
# 20180916 bkw: update for v2.0.0.
# 20160816 bkw:
@@ -40,7 +41,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PRGNAM=wmusic
VERSION=${VERSION:-2.0.0}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
TAG=${TAG:-_SBo}
PKGTYPE=${PKGTYPE:-tgz}
@@ -52,9 +53,6 @@ if [ -z "$ARCH" ]; then
esac
fi
-# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
-# the name of the created package would be, and then exit. This information
-# could be useful to other scripts.
if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
exit 0
@@ -90,6 +88,12 @@ chown -R root:root .
find -L . -perm /111 -a \! -perm 755 -a -exec chmod 755 {} \+ -o \
\! -perm /111 -a \! -perm 644 -a -exec chmod 644 {} \+
+# 20211019 bkw: Someone upgraded playerctl to an incompatible version,
+# without testing to see if it broke anything. Gee, thanks.
+if ! pkg-config --exists playerctl-1.0; then
+ sed -i 's,playerctl-1.0,playerctl,g' configure
+fi
+
# Stop spewing these:
# GLib-GObject-CRITICAL **: g_object_get: assertion 'G_IS_OBJECT (object)' failed
patch -p1 < $CWD/kill_glib_assertion_spam.diff